org.apache.solr.cloud

## Class Overseer.Stats

- java.lang.Object
- - org.apache.solr.cloud.Overseer.Stats

- Enclosing class:
    Overseer

      public static class Overseer.Stats
      extends Object

  Used to hold statistics about overseer operations. It will be exposed to the OverseerCollectionProcessor to return statistics. This is experimental API and subject to change.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stats()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `void` | `error(String operation)`
    `int` | `getErrorCount(String operation)`
    `List<Overseer.FailedOp>` | `getFailureDetails(String operation)`
    `int` | `getQueueLength()`
    `Map<String,Overseer.Stat>` | `getStats()`
    `int` | `getSuccessCount(String operation)`
    `void` | `setQueueLength(int queueLength)`
    `void` | `storeFailureDetails(String operation, ZkNodeProps request, SolrResponse resp)`
    `void` | `success(String operation)`
    `TimerContext` | `time(String operation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Stats

          public Stats()

  - ### Method Detail

    - #### getStats

          public Map<String,Overseer.Stat> getStats()

    - #### getSuccessCount

          public int getSuccessCount(String operation)

    - #### getErrorCount

          public int getErrorCount(String operation)

    - #### success

          public void success(String operation)

    - #### error

          public void error(String operation)

    - #### time

          public TimerContext time(String operation)

    - #### storeFailureDetails

          public void storeFailureDetails(String operation,
                                          ZkNodeProps request,
                                          SolrResponse resp)

    - #### getFailureDetails

          public List<Overseer.FailedOp> getFailureDetails(String operation)

    - #### getQueueLength

          public int getQueueLength()

    - #### setQueueLength

          public void setQueueLength(int queueLength)

    - #### clear

          public void clear()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.